﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <!-- ADD REQURIED RULES -->
  
  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.SMAT2.000014
         ELS Ref: V210E

         IF ([smat220] <> NULLORBLANK) 
            AND 
            (
              LENGTH([smat220]) <> 14 
              OR 
              ABNALGORITHM(substring([smat220],1,11)) = FALSE 
              OR 
              ANY CHARACTER OF(substring([smat220],12,14)) <> SET(0-9)
            ) 
            AND 
            (
              LENGTH([smat220]) <> 9 
              OR 
              ANY CHARACTER OF(substring([smat220],1,3)) <> SET(a-z,A-Z) 
              OR 
              ANY CHARACTER OF(substring([smat220],4,7)) <> SET(0-9) 
              OR 
              ANY CHARACTER OF(substring([smat220],8,9)) <> SET(a-z,A-Z)
            )
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat220] = emsup.xx.xx:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier
    -->
    <assert id="VR.ATO.SMAT2.000014" diagnostics="DVR.ATO.SMAT2.000014"
            test="not(
                        $smat220[not(@i:nil='true') and string-length(.) != 0]
                        and
                        (
                          $smat220[string-length(.) != 14]
                          or
                          $smat220[not(function:ValidateABN(substring(.,1,11)))]
                          or
                          $smat220[not(matches(substring(.,12,3),'^[0-9]+$'))]
                        )
                        and
                        (
                          $smat220[string-length(.) != 9]
                          or
                          $smat220[not(matches(substring(.,1,3),'^[a-zA-Z]+$'))]
                          or
                          $smat220[not(matches(substring(.,5,3),'^[0-9]+$'))]
                          or
                          $smat220[not(matches(substring(.,8,2),'^[a-zA-Z]+$'))]
                        )
                    )"/>
    

    <!-- Rule ID: VR.ATO.SMAT2.000017
         ELS Ref: V210F

         IF (
              ([smat218] <> NULLORBLANK) 
              OR 
              ([smat219] <> NULLORBLANK)
            ) 
            AND 
            (
              ([smat215] = NULLORBLANK) 
              OR 
              ([smat217] = NULLORBLANK) 
              OR 
              ([smat218] = NULLORBLANK) 
              OR 
              ([smat219] = NULLORBLANK)
            )
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [smat217] = pyde.xx.xx:AddressDetails.Postcode.Text
         [smat218] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
    -->
    <assert id="VR.ATO.SMAT2.000017" diagnostics="DVR.ATO.SMAT2.000017"
            test="not(
                        (
                          $smat217[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $smat218[not(@i:nil='true') and string-length(.) != 0]
                        )
                        and
                        (
                          not($smat214[not(@i:nil='true') and string-length(.) != 0]) or 
                          not($smat216[not(@i:nil='true') and string-length(.) != 0]) or 
                          not($smat217[not(@i:nil='true') and string-length(.) != 0]) or
                          not($smat218[not(@i:nil='true') and string-length(.) != 0])
                        )
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.SMAT2.000018
         ELS Ref: V210F

         IF ([smat218] = NULLORBLANK) AND ([smat217] = NULLORBLANK) AND ([smat219] = NULLORBLANK OR [smat219] = "au") AND ([smat214] <> NULLORBLANK OR [smat215] <> NULLORBLANK OR [smat216] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
         [smat215] = pyde.xx.xx:AddressDetails.Line2.Text
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [smat217] = pyde.xx.xx:AddressDetails.Postcode.Text
         [smat218] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
         [smat219] = pyde.xx.xx:AddressDetails.Country.Code
    -->
    <assert id="VR.ATO.SMAT2.000018" diagnostics="DVR.ATO.SMAT2.000018"
            test="not(
                        not($smat218[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($smat217[not(@i:nil='true') and string-length(.) != 0])
                        and
                        (
                          $smat219[. = 'au'] 
                          or
                          not($smat219[not(@i:nil='true') and string-length(.) != 0])
                        )
                        and
                        (
                          $smat214[not(@i:nil='true') and string-length(.) != 0] or 
                          $smat215[not(@i:nil='true') and string-length(.) != 0] or 
                          $smat216[not(@i:nil='true') and string-length(.) != 0]
                        )
                    )"/>

    
    <!-- Rule ID: VR.ATO.SMAT2.000019
         ELS Ref: V210E

         IF (([smat219] <> NULLORBLANK) AND ([smat219] <> "au")) AND ([smat214] = NULLORBLANK OR [smat216] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat219] = pyde.xx.xx:AddressDetails.Country.Code
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.SMAT2.000019" diagnostics="DVR.ATO.SMAT2.000019"
            test="not(
                        $smat219[not(@i:nil='true') and string-length(.) != 0 and . != 'au'] and
                        (
                          not($smat214[not(@i:nil='true') and string-length(.) != 0]) or 
                          not($smat216[not(@i:nil='true') and string-length(.) != 0])
                        )
                    )"/>

    
    <!-- Rule ID: VR.ATO.SMAT2.000021
         ELS Ref: N/A

         IF ([smat213] = TRUE) AND ([smat212] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat212] = pyid.xx.xx:Identifiers.SuperannuationMemberAccount.Identifier
         [smat213] = emsup.xx.xx:SuperannuationPayment.Consolidation.Indicator
    -->
    <assert id="VR.ATO.SMAT2.000021" diagnostics="DVR.ATO.SMAT2.000021"
            test="not(
                        $smat213[matches(.,'^(true|1)$')]
                        and
                        not($smat212[not(@i:nil='true') and string-length(.) != 0])
                    )"/>

    
    <!-- Rule ID: VR.ATO.SMAT2.000022
         ELS Ref: V210E

         IF ([smat213] = TRUE) AND ([smat220] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat220] = emsup.xx.xx:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier
         [smat213] = emsup.xx.xx:SuperannuationPayment.Consolidation.Indicator
    -->
    <assert id="VR.ATO.SMAT2.000022" diagnostics="DVR.ATO.SMAT2.000022"
            test="not(
                        $smat213[matches(.,'^(true|1)$')]
                        and
                        not($smat220[not(@i:nil='true') and string-length(.) != 0])
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428036
         ELS Ref: V35
        
        IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat218] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
     -->
    <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036"
             test="not(
                    $smat218[not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))]
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428254
         ELS Ref: V210M
         
         IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert  id="VR.ATO.GEN.428254" diagnostics="DVR.ATO.GEN.428254" 
             test="not(
                          $smat214[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428255
         ELS Ref: V210M
         
         IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat215] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert  id="VR.ATO.GEN.428255" diagnostics="DVR.ATO.GEN.428255" 
             test="not(
                          $smat215[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428256
         ELS Ref: V210M
         
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert  id="VR.ATO.GEN.428256" diagnostics="DVR.ATO.GEN.428256" 
             test="not(
                          $smat216[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500010
         ELS Ref: V210B
         
         IF ((pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Country.Code = "au")) AND (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [smat219] = pyde.xx.xx:AddressDetails.Country.Code
     -->
    
    <assert id="VR.ATO.GEN.500010" diagnostics="DVR.ATO.GEN.500010"
          test="not(
                   (
                     not($smat219[not(@i:nil='true') and string-length(.) != 0 ])
                     or 
                     $smat219[. = 'au']
                   ) 
                   and    
                   matches($smat216,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')
             )"/>

    
    <!-- Rule ID: VR.ATO.GEN.500011
         ELS Ref: V210E

         IF ((pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au")) AND ((pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat219] = pyde.xx.xx:AddressDetails.Country.Code
         [smat218] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
         [smat217] = pyde.xx.xx:AddressDetails.Postcode.Text
    -->
    <assert id="VR.ATO.GEN.500011" diagnostics="DVR.ATO.GEN.500011"
            test="not(
                        $smat219[not(@i:nil='true') and string-length(.) != 0 and . != 'au'] and
                        (
                          $smat218[not(@i:nil='true') and string-length(.) != 0] or 
                          $smat217[not(@i:nil='true') and string-length(.) != 0]
                        )
                    )"/>
  </rule>
  
    
</pattern>
