﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.SMAT2.000015
         ELS Ref: V9

         IF LENGTH([smat212]) > 16
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat212] = pyid.xx.xx:Identifiers.SuperannuationMemberAccount.Identifier
    -->
    <assert id="VR.ATO.SMAT2.000015" diagnostics="DVR.ATO.SMAT2.000015"
            test="not(
                        $smat212
                        [
                            string-length(.) > 16
                        ]
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.SMAT2.000020
         ELS Ref: V9

         IF LENGTH([smat216]) > 46
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.SMAT2.000020" diagnostics="DVR.ATO.SMAT2.000020"
            test="not(
                        $smat216
                        [
                            string-length(.) > 46
                        ]
                    )"/>
    
    
    <!-- Rule ID:VR.ATO.GEN.500018
         ELS Ref: V9

         IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.GEN.500018" diagnostics="DVR.ATO.GEN.500018"
            test="not(
                        $smat214
                        [
                            string-length(.) > 38
                        ]
                    )"/>
    
    
    <!-- Rule ID:VR.ATO.GEN.500019
         ELS Ref: V9

         IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat215] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert id="VR.ATO.GEN.500019" diagnostics="DVR.ATO.GEN.500019"
            test="not(
                        $smat215
                        [
                            string-length(.) > 38
                        ]
                    )"/>
    
  </rule>
    
</pattern>