﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

	<!-- Rule ID: VR.ATO.GEN.428041
         ELS Ref: V35

        IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat218] = pyde.xx.xx:AddressDetails.Postcode.Text
     -->
    <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041"
             test="not(
                        $smat217[
                            not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]
                    )"/>

    <!--  Rule ID: VR.ATO.GEN.428263
    
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("hyphen hyphen","'’","  "))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [smat26] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
        -->

    <assert  id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263" test="not($smat26[matches(.,'^(.*)(--|('')('')|  )(.*)$')])"></assert>
    
	<!-- Rule ID: VR.ATO.GEN.500000
         ELS Ref: V210A
         
         IF ((pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Country.Code = "au")) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS)
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [smat219] = pyde.xx.xx:AddressDetails.Country.Code
      
     -->
    <assert id="VR.ATO.GEN.500000" diagnostics="DVR.ATO.GEN.500000"
            test="not(
                        (
                          not($smat219[not(@i:nil='true') and string-length(.) != 0 ])
                          or 
                          $smat219[. = 'au']
                        ) 
                        and     
                        $smat216[matches(.,'^(.*)[0-9](.*)$')]
                        )
                      "/>
  
  
    <!-- Rule ID: VR.ATO.GEN.500024
         ELS Ref: V9
         
        IF ([smat26] <> NULLORBLANK) AND ([smat26] CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF       
    
        [smat26] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.500024" diagnostics="DVR.ATO.GEN.500024"
            test="not(
                        $smat26
                        [
                          not(@i:nil='true') and string-length(.) != 0
                          and
                          matches(.,'[{}|_\\#]')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500025
           ELS Ref: V9
         
          IF ([smat27] <> NULLORBLANK) AND ([smat27] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
          [smat27] = pyde.xx.xx:PersonNameDetails.GivenName.Text
      -->
    <assert  id="VR.ATO.GEN.500025" diagnostics="DVR.ATO.GEN.500025"
            test="not(
                        $smat27
                        [
                          not(@i:nil='true') and string-length(.) != 0
                          and
                          matches(.,'[{}|_\\#]')
                        ]
                     )"/>

	
	<!-- Rule ID: VR.ATO.GEN.500026
         ELS Ref: V9
         
         IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat214] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert  id="VR.ATO.GEN.500026" diagnostics="DVR.ATO.GEN.500026"
             test="not(
                         $smat214[not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))]
                        )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500027
         ELS Ref: V9
         
         IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line2.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat215] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert  id="VR.ATO.GEN.500027" diagnostics="DVR.ATO.GEN.500027"
             test="not(
                        $smat215[not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))]
                        )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500028
         ELS Ref: V9
         
         IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.LocalityName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat216] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert  id="VR.ATO.GEN.500028" diagnostics="DVR.ATO.GEN.500028"
             test="not(
                        $smat216[not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))]
                        )"/>
					 

    <!-- Rule ID: VR.ATO.GEN.500042
           ELS Ref: V9
         
          IF ([smat28] <> NULLORBLANK) AND ([smat28] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
          [smat28] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
      -->
    <assert  id="VR.ATO.GEN.500042" diagnostics="DVR.ATO.GEN.500042"
            test="not(
                        $smat28
                        [
                          not(@i:nil='true') and string-length(.) != 0
                          and
                          matches(.,'[{}|_\\#]')
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.SMAT2.000001
         ELS Ref: V9

        IF ([smat22] <> NULLORBLANK) AND ([smat22] CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat22] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.SMAT2.000001" diagnostics="DVR.ATO.SMAT2.000001"
            test="not(
                        $smat22
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]
                    )"/>


    <!-- Rule ID: VR.ATO.SMAT2.000002
         ELS Ref: V9
         
        IF ([smat24] <> NULLORBLANK) AND ([smat24] CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat24] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.SMAT2.000002" diagnostics="DVR.ATO.SMAT2.000002"
            test="not(
                        $smat24
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]
                    )"/>

					
	<!-- Rule ID: VR.ATO.SMAT2.000016
         ELS Ref: V9
         
         IF ([smat212] <> NULLORBLANK) AND ([smat212] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [smat212] = pyid.xx.xx:Identifiers.SuperannuationMemberAccount.Identifier
    -->
    <assert  id="VR.ATO.SMAT2.000016" diagnostics="DVR.ATO.SMAT2.000016"
             test="not(
                        $smat212[not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))]
                        )"/>				

  </rule>
    
</pattern>