﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.SMAT2.000003
         ELS Ref: V17
              
        IF (CONTEXT(INT) <> NULL) AND ([smat22] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat22] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.SMAT2.000003" diagnostics="DVR.ATO.SMAT2.000003"
             test="not(
                        $INT.Context
                        and
                        not($smat22[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.SMAT2.000005
         ELS Ref: V17
              
        IF ([smat24] = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat24] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.SMAT2.000005" diagnostics="DVR.ATO.SMAT2.000005"
             test="not(
                          not($smat24[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.SMAT2.000006
         ELS Ref: V17
         
        IF ([smat26] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat26] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.SMAT2.000006" diagnostics="DVR.ATO.SMAT2.000006"
            test="not(
                          not($smat26[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                    )"/>

					
	<!-- Rule ID: VR.ATO.SMAT2.000008
         ELS Ref: V17
              
         IF ([smat213] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [smat213] = emsup.xx.xx:SuperannuationPayment.Consolidation.Indicator
    -->
    <assert id="VR.ATO.SMAT2.000008" diagnostics="DVR.ATO.SMAT2.000008"
             test="not(
                        not($smat213[not(@i:nil='true')])
                     )" />				
					

    <!-- Rule ID: VR.ATO.SMAT2.000023
         ELS Ref: V17
         
        IF ([smat211] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [smat211] = pyde.xx.xx:PersonDemographicDetails.Birth.Year
    -->
    <assert id="VR.ATO.SMAT2.000023" diagnostics="DVR.ATO.SMAT2.000023"
            test="not(
                          not($smat211[not(@i:nil='true')])
                    )"/>
    
  </rule>
    
</pattern>