﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                                GENERIC ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436280</Code>
      <Description>Invalid context. The number of Intermediary contexts must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
 
  <diagnostic id="DVR.ATO.GEN.428036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428036</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD", "NSW", "VIC", "SA", "WA", "NT", "ACT", "TAS")</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.428254" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000405</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428255" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000407</Code>
      <Description>Address line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428256" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000409</Code>
      <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428263" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438039</Code>
      <Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500000</Code>
      <Description>Suburb/Town/City must not contain numeric characters when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500010</Code>
      <Description>Suburb/Town/City must not contain state code when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500011</Code>
      <Description>State and postcode must not be present for non-Australian addresses</Description>      
      <LongDescription>Country name is present with State or postcode in the address field.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500018</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500019</Code>
      <Description>Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500024</Code>
      <Description>Individual Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500025</Code>
      <Description>Individual First given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500026</Code>
      <Description>Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500027</Code>
      <Description>Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500028</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500034</Code>
      <Description>Invalid context. Period start date must be the same as the Period end date for this form.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500035</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500042</Code>
      <Description>Individual other given names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500049</Code>
      <Description>Entity identifier scheme for Reporting Party must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <!-- ********************************************************************
                                SMAT2 LIST ERRORS
       ******************************************************************** -->
  
  <diagnostic id="DVR.ATO.SMAT2.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000001</Code>
      <Description>Intermediary's business name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000002</Code>
      <Description>Reporting Entity's business name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000003</Code>
      <Description>Intermediary's business name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000004</Code>
      <Description>Invalid context. The number of SuperFund Member contexts must equal 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000005</Code>
      <Description>Reporting Entity's business name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000006</Code>
      <Description>Member's name - family name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000008</Code>
      <Description>Consolidation of ATO held money must be provided</Description>
      <LongDescription />
      <Location>emsup.02.20:SuperannuationPayment.Consolidation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000009</Code>
      <Description>Entity identifier scheme for SuperFund Member must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000010</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Entity's ABN.</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000011</Code>
      <Description>SuperFund Member Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000012</Code>
      <Description>Intermediary ABN has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000013</Code>
      <Description>Reporting Entity's ABN has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000014</Code>
      <Description>A valid Unique Superannuation Identifier (USI) is either provider's ABN + 3 digits, or a SPIN</Description>
      <LongDescription />
      <Location>emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000015</Code>
      <Description>Member's account number must not exceed 16 characters</Description>
      <LongDescription>For Member's account number, the maximum allowable characters for this form is 16</LongDescription>
      <Location>pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000016</Code>
      <Description>Member's account number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000017</Code>
      <Description>Australian address details incomplete</Description>
      <LongDescription>For an Australian address, Street name and number, Locality Name, State or Territory Code, and Post Code are required</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000018</Code>
      <Description>State and postcode are required for Australian addresses</Description>
      <LongDescription>Street name and number or suburb/town are present in the address field and postcode, State, and country are missing.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000019</Code>
      <Description>Overseas address details incomplete</Description>
      <LongDescription>For an overseas address, only Street name and number, Locality Name, and Country Code are required</LongDescription>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.SMAT2.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000020</Code>
      <Description>Member's residential address - suburb/town must not exceed 46 characters</Description>
      <LongDescription>For Member's residential address - suburb/town, the maximum allowable characters for this form is 46</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.SMAT2.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000021</Code>
      <Description>Member's account number must be provided</Description>
      <LongDescription>When Consolidation of ATO held money is 'yes' (true), Member's account number is mandatory</LongDescription>
      <Location>pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.SMAT2.000022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000022</Code>
      <Description>Member's Unique Superannuation Number (USI) must be provided</Description>
      <LongDescription>When Consolidation of ATO held money is 'yes' (true), Member's Unique Superannuation Number (USI) is mandatory</LongDescription>
      <Location>emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMAT2.000023</Code>
      <Description>Member's year of birth must be provided</Description>
      <LongDescription />
      <Location>pyde.02.12:PersonDemographicDetails.Birth.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.SMAT2.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500012</Code>
      <Description>Date of birth must be prior to the form submission start date</Description>
      <LongDescription>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</LongDescription>
      <Location>pyde.02.12:PersonDemographicDetails.Birth.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
</diagnostics>